com.amazonaws.codegen.protocol

## Class Ec2ProtocolMetdataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseXmlProtocolMetadataProvider
    - - com.amazonaws.codegen.protocol.Ec2ProtocolMetdataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

    public class Ec2ProtocolMetdataProvider
    extends BaseXmlProtocolMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`Ec2ProtocolMetdataProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getExceptionUnmarshallerImpl()`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseXmlProtocolMetadataProvider

`getUnmarshallerClassSuffix, getUnmarshallerContextClassName, isXmlProtocol`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getContentType, getRequestBaseFqcn, isCborProtocol, isIonProtocol, isJsonProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ec2ProtocolMetdataProvider

    public Ec2ProtocolMetdataProvider()

### Method Detail

#### getExceptionUnmarshallerImpl

    public String getExceptionUnmarshallerImpl()

Specified by:
  `getExceptionUnmarshallerImpl` in interface `ProtocolMetadataProvider`
Overrides:
  `getExceptionUnmarshallerImpl` in class `BaseXmlProtocolMetadataProvider`
Returns:
  The default implementation of exception unmarshallers to use or derive from. Currently only used by XML protocols.